Skip to main content

 

Electronic Theatre Controls Inc

Widget reports "Needs upgrade" when mapping

Symptoms/Issue

When a single universe Hog DMX widget is being mapped in the DP 8000 settings, next to the ID there is red text that says "Needs upgrade"

Description/Explanation of Issue

This is usually caused when using a Hog 2 widget that either needs upgrading or has lost it's upgrade.

Fix/Solution

If the widget has not been upgraded and the serial number begins in 25, you can purchase a widget upgrade from your local HES dealer. You will need the following:

  • Serial number - on the bottom of the widget
  • Widget ID - found in the Widgets tab of the DP 8000 settings when assigning the widget to output a universe.

If the widget has been upgraded before, please call High End Systems support with your serial number and widget ID.

  • Was this article helpful?